//\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\
// CommonHelpers satellite library | Author: Sergei Y.Kitáev
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
using System;

#if !WASM
namespace CommonHelpers {
#else
namespace CommonHelpers.WASM {
#endif

//**************************************************************************************************
public static class HLocal {
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

/// <exception cref="ArgumentNullException" />
public static string TEXT( string englishText, string russianText )
{
   HArgChecking.VerifyNotNulls( englishText, russianText );
   switch ( HInCodeSupportedLanguageSelector.UILanguage )
   {
   case HInCodeSupportedLanguage.Russian:
      return russianText;
   default:
      return englishText;
   }
}
/*
/// <exception cref="ArgumentNullException" />
public static string TEXT(
   string englishText,
   string russianText,
   string x1_Text )
{
   HArgChecking.VerifyNotNulls( englishText, russianText, x1_Text );
   switch ( HInCodeSupportedLanguageSelector.UILanguage )
   {
   case HInCodeSupportedLanguage.Russian: return russianText;
   case HInCodeSupportedLanguage.Lang_X1: return x1_Text;
   default: return englishText;
   }
}
*/
/*
/// <exception cref="ArgumentNullException" />
public static string TEXT(
   string englishText,
   string russianText,
   string x1_Text,
   string x2_Text )
{
   HArgChecking.VerifyNotNulls( englishText, russianText, x1_Text, x2_Text );
   switch ( HInCodeSupportedLanguageSelector.UILanguage )
   {
   case HInCodeSupportedLanguage.Russian: return russianText;
   case HInCodeSupportedLanguage.Lang_X1: return x1_Text;
   case HInCodeSupportedLanguage.Lang_X2: return x2_Text;
   default: return englishText;
   }
}
*/

//==================================================================================================

/// <exception cref="ArgumentNullException" />
public static string _TXT( string englishText, string russianText )
   => TEXT( englishText, russianText );
/*
/// <exception cref="ArgumentNullException" />
public static string _TXT(
   string englishText,
   string russianText,
   string x1_Text )
   => TEXT( englishText, russianText, x1_Text );
/// <exception cref="ArgumentNullException" />
public static string _TXT(
   string englishText,
   string russianText,
   string x1_Text,
   string x2_Text )
   => TEXT( englishText, russianText, x1_Text, x2_Text );
*/
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
} // HLocal
//**************************************************************************************************

} // CommonHelpers (.WASM)
